module sROP_Variables
    
implicit none


    TYPE, PUBLIC :: ROPInfo

        real(8) :: WeightOnBit , RotarySpeed , MudDensity , FormationMudDensity , MudViscosity , MudFlowrate, BitFlowrate , DrillingVerticalDepth
        real(8) :: BitWearing , RateOfPenetration, BitTorque , ECD , BottomHolePressure
        real(8) :: BearingWear , JetImpactForce
        real(8) :: OldROPDepth , OldROPValue(4) , SetROPGauge
        integer :: NoOfFormations
    
    END TYPE ROPInfo
end module sROP_Variables